package com.unissoft.basic.mapper;

import com.unissoft.basic.model.AlarmParam;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 报警参数设置表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2022-06-21
 */
@Repository
public interface AlarmParamMapper extends BaseMapper<AlarmParam> {

    List<AlarmParam> getCheckForEqCode(@Param("orgCode") String orgCode, @Param("deviceAlarm") String device);

    List<AlarmParam> alarmParamVis(@Param("orgCode") String orgCode, @Param("labelCode") String labelCode);
}
