package com.unissoft.basic.mapper;

import com.unissoft.basic.model.TimingTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.unissoft.deviceManage.model.CheckParams;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 定时任务设置表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2022-06-24
 */
@Repository
public interface TimingTaskMapper extends BaseMapper<TimingTask> {

    List<TimingTask> findByJobStatus(@Param("ordinal") int ordinal);

    CheckParams executorTimingParam(@Param("id") Long id);

    List<Map<String, Object>> getByTask(@Param("orgCode") String orgCode, @Param("eqCode") String eqCode);
}
