package com.unissoft.basic.model;

import com.unissoft.deviceManage.model.DeviceInfo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Collections;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 报警详情
 * @create 2022-06-22 16:51
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class AlarmParamList extends AlarmParam implements Serializable {
    private static final long serialVersionUID = 3856856598271436183L;
    List<DeviceInfo> devInfoList = Collections.emptyList();
}
