package com.unissoft.basic.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author qingsong.han
 * @description: 外部平台设置定时任务对象
 * @create 2022-07-19 16:48
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TimingTaskReq implements Serializable {
    private static final long serialVersionUID = -774656387863274397L;
    private Long id;
    private String orgCode;
    private String labelCode;
    private String productCategoryCode;
    private String taskName;
    private String detectionDesc;
    private String detectionCron;
    private Integer onOrOff;

}
