package com.unissoft.basic.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.RemoteParams;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.common.PageParam;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2022-07-12
 */
public interface RemoteParamsService extends IService<RemoteParams> {

    IPage<RemoteParams> getPageList(PageParam pageParam);

    void saveAndUpdate(RemoteParams remoteParams);

    /**
     * 获取所有topic
     * @return topic1,topic2...
     */
    String getByTopics();

}
