package com.unissoft.deviceManage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.deviceManage.model.DeviceLabel;

/**
 * <p>
 * 设备标签信息表 服务类
 * </p>
 *
 * @author root
 * @since 2022-06-16
 */
public interface DeviceLabelService extends IService<DeviceLabel> {

    IPage<DeviceLabel> getPageList(PageParam pageParam);

    long saveAndUpdate(DeviceLabel deviceLabel);

	ResultView deleteById(Long id);

    DeviceLabel getByObjectForOnlyData(String orgCode, String labelCode);

    ResultView deleteByObjectForOnlyData(String orgCode, String labelCode);
}
