package com.unissoft.enums;

/**
 * @author qingsong.han
 * @description: enum
 * @create 2022-03-11 14:00
 */
public enum BeanEnum {
    // 测温
    TEMP_CHECK_BEAN("tempWithWetBean", "tempWithParams"),
    // 测湿
    WET_CHECK_BEAN("tempWithWetBean", "wetWithParams"),
    // 温湿度一体设备
    TEMP_WET_CHECK_BEAN("tempWithWetBean", "tempAndWetWithParams");

    private String beanName;
    private String methodName;

    BeanEnum(String beanName, String methodName) {
        this.beanName = beanName;
        this.methodName = methodName;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    public String getBeanName() {
        return beanName;
    }

    public void setBeanName(String beanName) {
        this.beanName = beanName;
    }

}
