package com.unissoft.mqtt.model;

import com.unissoft.deviceManage.model.DeviceDataPoint;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author qingsong.han
 * @description: mqtt 接收消息内容
 * @create 2022-08-05 17:22
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MqttPayload implements Serializable {
    private static final long serialVersionUID = 8425542055443405998L;

    private Date time;
    private List<DeviceDataPoint> data;

}
