package com.unissoft.productManage.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.productManage.model.ProductInfo;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 产品表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2022-06-17
 */
@Repository
public interface ProductInfoMapper extends BaseMapper<ProductInfo> {

	IPage<ProductInfo> selectPageList(IPage<ProductInfo> page, @Param("ew") QueryWrapper<ProductInfo> queryWrapper);

	ProductInfo queryById(Long id);

	List<Map<String, String>> orgCodeKnowProCode(@Param("orgCode") String orgCode);

    List<Map<String,String>> proCodeKnowOrgCode(@Param("orgCode") String orgCode);

	void updateEqTotal(@Param("orgCode") String orgCode, @Param("proCode") String proCode);

	List<String> gotPorSNString(@Param("orgCode") String orgCode);

	void updateEqTotalByDevId(Long id);
}
