package com.unissoft.systemManage.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.systemManage.model.UserInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author root
 * @since 2021-10-19
 */
@Repository
public interface UserInfoMapper extends BaseMapper<UserInfo> {

    IPage<UserInfo> selectPageList(IPage<UserInfo> page, @Param("ew") Wrapper<UserInfo> wrapper);

	UserInfo queryById(Long id);

    List<UserInfo> getUserList(@Param("ew") Wrapper<UserInfo> wrapper);
}
