package com.unissoft.systemManage.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author qingsong.han
 * @description: 报警统计
 * @create 2022-06-30 14:16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="AlarmStatistics对象", description="首页报警统计")
public class AlarmStatistics implements Serializable {
    private static final long serialVersionUID = -8057439159363833880L;

    /*@ApiModelProperty(value = "报警类型名称")
    private String alarmTypeName;*/

    @ApiModelProperty(value = "报警时间")
    private String alarmTime;
    
    @ApiModelProperty(value = "报警数")
    private String alarmCount;

}
