package com.unissoft.systemManage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.systemManage.model.OrgInfo;
import com.unissoft.systemManage.model.OrgInfoChildren;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 组织机构和仓房表 服务类
 * </p>
 *
 * @author root
 * @since 2021-10-20
 */
public interface OrgInfoService extends IService<OrgInfo> {

    List<OrgInfoChildren> getTreeList(String orgName);

    List<OrgInfo> getList(OrgInfo orgInfo);

    Map<String, String> getOrgMap();
}
