package com.unissoft.systemManage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.common.PageParam;
import com.unissoft.systemManage.model.UserInfo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2021-10-19
 */
public interface UserInfoService extends IService<UserInfo> {

    IPage<UserInfo> getUserPage(PageParam pageParam);

    List<UserInfo> getUserList(String orgCode, String userRole);

	UserInfo queryById(Long id);
}
