package com.unissoft.visualisation.service.impl;

import com.unissoft.deviceManage.model.DevicePoint;
import lombok.Data;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description: 扩展DevicePoint 业务字段
 * @create 2022-11-15 13:43
 */
@Data
@Component
public class PointChild implements Serializable {
    private static final long serialVersionUID = -2352801692723010254L;

    private Map<String, List<DevicePoint>> lp;
    private String proCodes;

}
