package com.unissoft;

import com.spring4all.swagger.EnableSwagger2Doc;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

@EnableSwagger2Doc
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@MapperScan({
        "com.unissoft.*.mapper"
})
public class SmartGrpBasicApplication {

    public static void main(String[] args) {
        SpringApplication.run(SmartGrpBasicApplication.class, args);
    }

}
