package com.unissoft.alarm.mapper;

import com.unissoft.alarm.model.AlarmRecord;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 报警记录表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2022-06-27
 */
@Repository
public interface AlarmRecordMapper extends BaseMapper<AlarmRecord> {

    IPage<AlarmRecord> selectPageList(IPage<AlarmRecord> page, @Param("ew") QueryWrapper<AlarmRecord> ew);

    AlarmRecord queryById(Long id);

    List<Map> alarmRecordVis(@Param("orgCode") String orgCode, @Param("labelCode") String labelCode, @Param("pageSize") Integer pageSize);
}
