package com.unissoft.alarm.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qingsong.han
 * @description:
 * @create 2023-05-08 16:26
 */
@Data
@TableName("alarm_video")
public class VideoAlarm implements Serializable {
    private static final long serialVersionUID = -1399694542456419648L;

    // 事件ID
    @TableId(value = "event_id", type = IdType.INPUT)
    private String event_id;
    // 点位ID
    @TableField("camera_id")
    private String camera_id;
    // 类型ID
    @TableField("kind_id")
    private Integer kind;
    // 当次告警的推送主图
    @TableField("picture_master")
    private String picture;
    // 该条告警的所有历史图片
    @TableField("pictures_all")
    private String picturesAll;
    // 当次告警的发现时间
    @TableField("timestamp_now")
    private String timestamp;
    // 当次告警推送时的状态
    @TableField("status_now")
    private Integer status;
    // 告警类型车辆相关时,识别到的车牌号
    @TableField("car_num")
    private String carNum;
    // 该条案件是否结束
    @TableField("finish_or")
    private Boolean finish;

}
