package com.unissoft.basic.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.RemoteParams;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author root
 * @since 2022-07-12
 */
@Repository
public interface RemoteParamsMapper extends BaseMapper<RemoteParams> {

    IPage<RemoteParams> selectPageList(IPage<RemoteParams> page, @Param("ew") QueryWrapper<RemoteParams> queryWrapper);

    /**
     * 获取所有topic
     * @return list
     */
    List<String> selectTopics();

}
