package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 站点类型表
 * </p>
 *
 * @author root
 * @since 2022-06-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("site_type")
@ApiModel(value="SiteType对象", description="站点类型表")
public class SiteType implements Serializable {
    private static final long serialVersionUID = 3285950081491993092L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "组织机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "站点类型编码")
    @TableField("site_type_code")
    private String siteTypeCode;

    @ApiModelProperty(value = "站点类型名")
    @TableField("site_type_name")
    private String siteTypeName;

    @ApiModelProperty(value = "站点类型描述")
    @TableField("site_type_describe")
    private String siteTypeDescribe;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;


}
