package com.unissoft.basic.model;

import com.unissoft.deviceManage.model.DeviceInfo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Collections;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 定时任务详情
 * @create 2022-06-24 16:48
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TimingTaskList extends TimingTask implements Serializable {
    private static final long serialVersionUID = -7031418696422359234L;
    List<DeviceInfo> devInfoList = Collections.emptyList();
}
