package com.unissoft.basic.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.AlarmParam;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.basic.model.AlarmParamList;
import com.unissoft.common.PageParam;

import java.util.List;

/**
 * <p>
 * 报警参数设置表 服务类
 * </p>
 *
 * @author root
 * @since 2022-06-21
 */
public interface AlarmParamService extends IService<AlarmParam> {

    IPage<AlarmParam> getPageList(PageParam pageParam);

    long saveList(AlarmParamList alarmParamList);

    void updateList(AlarmParamList alarmParamList);

    AlarmParamList getByIdList(Long id);

    /**
     * 报警参数
     * @param orgCode 机构编码
     * @param labelCode 仓房/产品标签
     * @return list
     */
    List<AlarmParam> alarmParamVis(String orgCode, String labelCode);
}
