package com.unissoft.deviceManage.model;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author qingsong.han
 * @description: 缓存操作数据
 * @create 2022-09-20 17:39
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DeviceRunData对象", description="设备运行数据详情页-专用")
public class DeviceJoinData implements Serializable {
    private static final long serialVersionUID = -4818819684672507641L;

    private String points;
    private String eqCode;
    private String eqName;
    private String labelName;

}
