package com.unissoft.deviceManage.model;

import com.unissoft.mqtt.model.MyMqttHeaders;
import com.unissoft.mqtt.model.MqttPayload;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author qingsong.han
 * @description: 接收mqtt设备原始数据
 * @create 2022-08-05 17:11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DeviceMqttData implements Serializable {
    private static final long serialVersionUID = -6631949120643933054L;

    private MyMqttHeaders headers;

    private MqttPayload payload;

}
