package com.unissoft.mqtt.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qingsong.han
 * @description: mqtt headers params
 * @create 2022-08-05 17:16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MyMqttHeaders implements Serializable {
    private static final long serialVersionUID = -7826725553852973614L;

    private String id;
    private String mqtt_receivedTopic;
    private boolean mqtt_receivedRetained;
    private boolean mqtt_duplicate;
    private int mqtt_id;
    private int mqtt_receivedQos;
    private Date timestamp;

}
