package com.unissoft.productManage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.common.ResultView;
import com.unissoft.productManage.model.ProductCategory;
import com.unissoft.productManage.model.ProductCategoryChildren;

import java.util.List;

/**
 * <p>
 * 产品分类表 服务类
 * </p>
 *
 * @author root
 * @since 2022-06-17
 */
public interface ProductCategoryService extends IService<ProductCategory> {

    List<ProductCategoryChildren> getTreeList(String orgCode);

	ResultView deleteById(Long id);

	List<ProductCategory> getSonList(String orgCode);
}
