package com.unissoft.systemManage.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.systemManage.model.RoleInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 用户角色表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2021-10-20
 */
@Repository
public interface RoleInfoMapper extends BaseMapper<RoleInfo> {

    IPage<RoleInfo> getRoleInfoPage(IPage<RoleInfo> page, @Param("ew") QueryWrapper<RoleInfo> queryWrapper);
}
