package com.unissoft.systemManage.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2022-06-29 11:26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="CPUMonitor对象", description="首页CPU监控")
public class CPUMonitor implements Serializable {
    private static final long serialVersionUID = -4369843324604317326L;

    @ApiModelProperty(value = "CPU使用率")
    private Integer cpuUseRate;

    @ApiModelProperty(value = "cpu上次更新时间")
    private Date cpuLateUpdateTime;

}
