package com.unissoft.systemManage.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author qingsong.han
 * @description: 首页小图标统计
 * @create 2022-06-29 11:09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="HomePage对象", description="首页小图标统计")
public class HomePage implements Serializable {
    private static final long serialVersionUID = -9124700588235177467L;

    @ApiModelProperty(value = "产品数")
    private Integer proSum;

    @ApiModelProperty(value = "产品数今日新增")
    private Integer proTodaySum;

    @ApiModelProperty(value = "设备数")
    private Integer devSum;

    @ApiModelProperty(value = "设备数今日新增")
    private Integer devTodaySum;

    @ApiModelProperty(value = "在线设备")
    private Integer devOnlineSum;

    @ApiModelProperty(value = "设备在线率")
    private Integer devOnlineRate;

    @ApiModelProperty(value = "离线设备")
    private Integer devOfflineSum;

    @ApiModelProperty(value = "设备离线率")
    private Integer devOfflineRate;

    @ApiModelProperty(value = "告警数")
    private Integer alarmSum;

    @ApiModelProperty(value = "告警今日新增")
    private Integer todayAlarmSum;


}
