package com.unissoft.systemManage.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Collections;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 树结构处理对象
 * @create 2021-10-20 18:27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OrgInfoChildren extends OrgInfo implements Serializable {
    private static final long serialVersionUID = 7864855139500363410L;
    private List<OrgInfoChildren> children = Collections.emptyList();
}
